=== debian/changelog ===
casablanca (2.6.0-5) unstable; urgency=medium

  * Rebuild against websocketpp 0.6.0-1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Aug 2015 09:50:37 +0200

casablanca (2.6.0-4) unstable; urgency=medium

  * d/p/disable-outside-tests.patch:
    - Disable some more tests because they require an active internet
      connection.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Aug 2015 15:15:27 +0200

casablanca (2.6.0-3) unstable; urgency=medium

  * Upload to unstable.
    - drop force of gcc-5, now it is the default there.
  * Update my uid.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jul 2015 13:08:42 +0200

casablanca (2.6.0-2) experimental; urgency=medium

  * enable patches accepted upstream:
    - d/p/fix-build-failures.patch
    - d/p/fix-cdecl.patch
    - d/p/remove-double-includes.patch
  * add patch to fix an arm64 build failure:
    - d/p/fix-failure.patch
  * enable patch to address a kfreebsd-i386 build failure:
    - d/p/kfreebsd-i386-fix.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 04 Jun 2015 20:43:00 +0200

casablanca (2.6.0-1) experimental; urgency=low

  * New upstream release bump SONAME to 2.6, patch refresh.
  * Add some commented patches:
    - d/p/fix-build-failures.patch: tweak to remove also ch variable
    - d/p/fix-cdecl.patch: fix cdecl and __cdecl usage, this
      should hopefully fix many build failures.
    - d/p/remove-double-includes.patch: remove some double inclusions
      in cmake files (cosmetic patch).
    - d/p/kfreebsd-i386-fix.patch: hopefully fix the kfreebsd-i386 build issue.
      unfortunately I do not have any kfreebsd-i386 2.5 build log, so I'll
      enable and submit it upstream for review if the build still fails there.
  * d/p/disable-outside-tests.patch: re-enable some tests not failing anymore.
  * d/p/use-system-websocketpp.patch: find websocketpp with cmake modules,
    rather than just including it, to easy upstream patch forwarding.
  * Remove d/p/do-not-write-timestamps-in-documentation: upstream
  * d/control: remove locales-all, locales-pack-fr-base and libboost-locale-dev,
    code removed upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 02 Jun 2015 18:34:53 +0200

casablanca (2.5.0-2) experimental; urgency=medium

  [ Edmund Grimley Evans ]
  * d/p/fix-build-failures.patch
    - try to fix the various build failures on #769969

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 01 Jun 2015 12:19:22 +0200

casablanca (2.5.0-1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.

  [ Gianfranco Costamagna ]
  * Use g++-5 to build, because of bug #784655.
  * New upstream release, bump SONAME to 2.5.
  * Patch refresh.
  * Add locales-all (Debian) | language-pack-fr-base (Ubuntu)
    to correctly pick up locale files (fix testuite failures)
    ref: https://casablanca.codeplex.com/workitem/354
  * Update disable-outside-tests.patch with another test requiring
    internet connection.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 06 May 2015 14:46:43 +0200
