=== debian/changelog ===
casablanca (2.7.0-4) unstable; urgency=medium

  * Disable some more tests, requiring local ports
    not always available on buildd machines
  * Update homepage field

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Nov 2015 10:49:57 +0100

casablanca (2.7.0-3) unstable; urgency=medium

  * Disable tests were timeouts are encountered, some archs
    are too slow for them.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Nov 2015 15:28:20 +0100

casablanca (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Nov 2015 12:32:07 +0100

casablanca (2.7.0-1) experimental; urgency=medium

  * New upstream release, bump SONAME.
  * Drop all patches merged upstream.
  * Set priority optional.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Nov 2015 09:40:05 +0100

casablanca (2.6.0-7) unstable; urgency=medium

  * Fix arch:all build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Oct 2015 18:48:07 +0200

casablanca (2.6.0-6) unstable; urgency=medium

  * Add finally a watch file, thanks to the move to github
    - Drop README.source

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Oct 2015 15:12:24 +0200
