=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: casablanca
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
                debhelper (>=9),
@@ -14,11 +14,11 @@
                libwebsocketpp-dev
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.6
-Homepage: https://casablanca.codeplex.com/
+Homepage: https://github.com/Microsoft/cpprestsdk
 Vcs-Git: git://anonscm.debian.org/collab-maint/casablanca.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/casablanca.git
 
-Package: libcpprest2.6
+Package: libcpprest2.7
 Provides: libcpprest
 Architecture: any
 Multi-Arch: same
@@ -44,7 +44,7 @@
 Package: libcpprest-dev
 Section: libdevel
 Architecture: any
-Depends: libcpprest2.6 (= ${binary:Version}),
+Depends: libcpprest2.7 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Development files for Casablanca
