=== debian/watch ===
version=3
opts=dversionmangle=s/(\+|\.)dfsg$// \
        https://github.com/Microsoft/cpprestsdk/tags .*/v-?(\d\S*)\.tar\.gz
